﻿$packageName = 'HWiNFO.install'
$fileType = 'exe'
$silentArgs = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART'
$version = '5.22'
$version = $version.Replace(".","")
$toolsDir =  "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
Import-Module "$toolsDir\Get-UrlFromFosshub.ps1"
$url = Get-UrlFromFosshub "http://www.fosshub.com/genLink/HWiNFO/hw32_$version.exe"
$url64 = Get-UrlFromFosshub "http://www.fosshub.com/genLink/HWiNFO/hw64_$version.exe"
$checksum = '6f3bb3490e7842db03829c078d68f4af273efb7c'
$checksumType = 'SHA1'
$checksum64 = '9c9483140a835813fd30dc9c8114cf9054fb2f1f'
$checksumType64 = 'SHA1'

Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 -checksum $checksum -checksumType $checksumType -checksum64 $checksum64 -checksumType64 $checksumType64
# Kill the process after it starts- there is no way to prevent autostart after install
Get-Process | Where { $_.name -eq 'HWiNFO64' } | Stop-Process
Get-Process | Where { $_.name -eq 'HWiNFO32' } | Stop-Process
